#
# Conditional build:
%bcond_without	appindicator	# application indicators support
%bcond_with	gtk3		# use GTK+ 3.x instead of 2.x

%define	gtk2_ver	2:2.24.0
%define	gtk3_ver	3.0.0
Summary:	Integrates polkit authentication for MATE desktop
Summary(pl.UTF-8):	Integracja uwierzytelniania polkit ze środowiskiem MATE
Name:		mate-polkit
Version:	1.12.0
Release:	1
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.12/%{name}-%{version}.tar.xz
# Source0-md5:	f97529b87420913ba1ca335e358f4c04
URL:		http://wiki.mate-desktop.org/mate-polkit
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 0.6.2
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= %{gtk2_ver}}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= %{gtk3_ver}}
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	intltool >= 0.35.0
%if %{with appindicator}
%{!?with_gtk3:BuildRequires:	libappindicator-gtk2-devel >= 0.0.13}
%{?with_gtk3:BuildRequires:	libappindicator-gtk3-devel >= 0.0.13}
%endif
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.97
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
# needed for gobject-introspection support (Gtk-2.0.gir -> Gdk-2.0.gir -> cairo-1.0.gir, which requires libcairo-gobject.so)
BuildRequires:	cairo-gobject-devel
Requires:	glib2 >= 1:2.36.0
%{!?with_gtk3:Requires:	gtk+2 >= %{gtk2_ver}}
%{?with_gtk3:Requires:	gtk+3 >= %{gtk3_ver}}
Requires:	polkit-libs >= 0.97
%if %{with appindicator}
%{!?with_gtk3:Requires:	libappindicator-gtk2 >= 0.0.13}
%{?with_gtk3:Requires:	libappindicator-gtk3 >= 0.0.13}
%endif
#Provides:	PolicyKit-authentication-agent
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE polkit integrates polkit with the MATE Desktop environment. MATE
polkit is a fork of GNOME polkit.

%description -l pl.UTF-8
Integracja uwierzytelniania polkit ze środowiskiem MATE. MATE polkit
to odgałęzienie pakietu GNOME polkit.

%package devel
Summary:	Development files for mate-polkit library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki mate-polkit
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0
%{!?with_gtk3:Requires:	gtk+2-devel >= %{gtk2_ver}}
%{?with_gtk3:Requires:	gtk+3-devel >= %{gtk3_ver}}
Requires:	polkit-devel >= 0.97

%description devel
Development files for mate-polkit library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki mate-polkit.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_appindicator:--disable-appindicator} \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk3:--with-gtk=3.0}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libpolkit-gtk-mate-1.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libpolkit-gtk-mate-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-gtk-mate-1.so.0
%{_libdir}/girepository-1.0/PolkitGtkMate-1.0.typelib
%attr(755,root,root) %{_libexecdir}/polkit-mate-authentication-agent-1
%{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-gtk-mate-1.so
%{_includedir}/polkit-gtk-mate-1
%{_datadir}/gir-1.0/PolkitGtkMate-1.0.gir
%{_pkgconfigdir}/polkit-gtk-mate-1.pc
%changelog
* Sun Nov 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-polkit.git;a=log;h=master

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 0039cfe
- handle appindicator support
- investigated cairo-gobject issue

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 68dbdbc
- up to 1.12.0

* Sun Sep 20 2015 Jan Palus <atler@pld-linux.org> f37ee64
- up to 1.10.2

* Fri Sep 04 2015 Elan Ruusamäe <glen@delfi.ee> c25c3ae
- up to 1.10.1

* Thu Apr 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 27e01c5
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> aac4a67
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6267fb6
- updated gettext BR

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> c02ebaf
- cmn locale is supported now
- added gtk3 bcond

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 562f0bd
- up to 1.8.0
- run autotools

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> d9c1c6d
- updated to 1.6.1, pl, cleanup, completed dependencies

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 106070c
- up to 1.6.0

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> c0cdb16
- more specific deps, update url

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 605b7f1
- fix missing executable permission

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> bbeaeda
- unify macros

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 801319c
- do not run autoconf in prep

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 0a8f42f
- tar.xz deps

* Fri Dec 21 2012 Elan Ruusamäe <glen@delfi.ee> 16e8f25
- new, version 1.5.0

